// nc-form/nc-row.js

// /src/components/nc-row.vue, see nc-main.css
import createComponent from './nc-form-col-row.js'
export default { render: render, ...createComponent('NcRow', false) } // true = set default width:100%;

// render code
import { renderSlot as _renderSlot, normalizeStyle as _normalizeStyle, openBlock as _openBlock, createElementBlock as _createElementBlock } from '../../vuelib.js'

export function render(_ctx, _cache) {
	return (
		_openBlock(),
		_createElementBlock(
			'div',
			{
				style: _normalizeStyle(_ctx.calculatedStyle),
				class: 'nc-row'
			},
			[_renderSlot(_ctx.$slots, 'default')],
			4 /* STYLE */
		)
	)
}
